Tk_GetAnchor(3)

NAME
Tk_GetAnchor, Tk_NameOfAnchor - translate between strings and anchor positions

SYNOPSIS
#include <tk.h>

int
Tk_GetAnchor(interp, string, anchorPtr)

char *
Tk_NameOfAnchor(anchor)

ARGUMENTS
Interpreter to use for error reporting. String containing name of anchor point: one of ``n'', ``ne'', ``e'', ``se'', ``s'', ``sw'', ``w'', ``nw'', or ``center''. Pointer to location in which to store anchor position corresponding to string. Anchor position, e.g. TCL_ANCHOR_CENTER.

DESCRIPTION

Tk_GetAnchor places in *anchorPtr an anchor position (enumerated type Tk_Anchor) corresponding to string, which will be one of TK_ANCHOR_N, TK_ANCHOR_NE, TK_ANCHOR_E, TK_ANCHOR_SE, TK_ANCHOR_S, TK_ANCHOR_SW, TK_ANCHOR_W, TK_ANCHOR_NW, or TK_ANCHOR_CENTER. Anchor positions are typically used for indicating a point on an object that will be used to position that object, e.g. TK_ANCHOR_N means position the top center point of the object at a particular place.

Under normal circumstances the return value is TCL_OK and interp is unused. If string doesn't contain a valid anchor position or an abbreviation of one of these names, then an error message is stored in interp->result, TCL_ERROR is returned, and *anchorPtr is unmodified.

Tk_NameOfAnchor is the logical inverse of Tk_GetAnchor. Given an anchor position such as TK_ANCHOR_N it returns a statically-allocated string corresponding to anchor. If anchor isn't a legal anchor value, then ``unknown anchor position'' is returned.

KEYWORDS
anchor position